JavaScript
Deductions
Enroll Individuals in Deductions
Enroll an individual into a deduction or contribution. This is an overwrite operation. If the employee is already enrolled, the enrollment amounts will be adjusted. Making the same request multiple times will not create new enrollments, but will continue to set the state of the existing enrollment.
POST
JavaScript
Availability: Automated and Assisted providers
This is a live request to the provider. Latencies may vary from seconds to minutes depending on the provider and number of benefits.
Enrollment Bodies
Enrollment bodies have a common format for each benefit type, with a differentconfiguration schema based on the benefit type. The configurations for each type are outlined below. These are general configurations and may vary per provider. Please use the /provider endpoint to view provider specific supported configurations.
Retirement Benefits
Includes 401(k), Roth 401(k), 403(b), Roth 403(b), 457, Roth 457, and Simple IRA| Field | Type | Description |
|---|---|---|
employee_deduction.type | string | Deduction Type (fixed or percent) |
employee_deduction.amount | integer | Deduction amount in cents (if fixed) or basis points (if percent) |
company_contribution.type | string | Contribution Type (fixed or percent) |
company_contribution.amount | integer | Contribution amount in cents (if fixed) or basis points |
catch_up | boolean | Whether to enable catch up for this individual |
annual_maximum | integer (nullable) | The annual maximum in cents for this individual |
effective_date* | string (nullable) | The date which the benefit should take effect by (mm/dd/yyyy) |
HSA
| Field | Type | Description |
|---|---|---|
employee_deduction.type | string | Deduction Type (fixed or percent) |
employee_deduction.amount | integer | Deduction amount in cents (if fixed) or basis points (if percent) |
company_contribution.type | string | Contribution Type (fixed or percent) |
company_contribution.amount | integer | Contribution amount in cents (if fixed) or basis points |
catch_up | boolean | Whether to enable catch up for this individual |
annual_maximum | integer (nullable) | The annual maximum in cents for this individual |
annual_contribution_limit | string (nullable) | Whether HSA is applied towards individual or family |
effective_date* | string (nullable) | The date which the benefit should take effect by (mm/dd/yyyy) |
Section 125 Benefits, FSA, Custom Benefits
| Field | Type | Description |
|---|---|---|
employee_deduction.type | string | Deduction Type (fixed or percent) |
employee_deduction.amount | integer | Deduction amount in cents (if fixed) or basis points (if percent) |
company_contribution.type | string | Contribution Type (fixed or percent) |
company_contribution.amount | integer | Contribution amount in cents (if fixed) or basis points |
effective_date* | string (nullable) | The date which the benefit should take effect by (mm/dd/yyyy) |
- Note:
effective_dates that are undefined or in the past will default to the date the request was made. We recommend grouping enrollments byeffective_datefor a request. If multiple distincteffective_dates are included, the job will be in pending status until the latesteffective_dateenrollment is processed. Sandbox integrations do not currently support multiple distincteffective_dates within the same request.
Authorizations
Please use your Access Token
Headers
Header used to specify the version for a given API request. Current version is 2020-09-17.
Pattern:
([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))Used to indicate the original media type of the resource
Path Parameters
Query Parameters
The entity IDs to specify which entities' data to access.
Required array length:
1 elementExample:
["550e8400-e29b-41d4-a716-446655440000"]Body
application/json
Response
Successfully enqueued job to enroll individuals in the benefit